> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable rewind recording

> Disable the device's background screen rewind recording.



## OpenAPI

````yaml delete /boxes/{boxId}/actions/recording/rewind
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/actions/recording/rewind:
    delete:
      tags:
        - UI Action
      summary: Disable rewind recording
      description: Disable the device's background screen rewind recording.
      operationId: UIActionController_disableReplayRecording
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
            });

            async function main() {
              const box = await gboxSDK.create({
                type: "android",
                config: {
                  deviceType: "physical",
                },
              });

              await box.action.recording.rewind.disable()
            }

            main();
        - lang: Python
          source: >-
            import os

            from gbox_sdk import GboxSDK


            gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])  # This is
            the default and can be omitted


            box = gbox_sdk.create(
                type="android",
                config={
                    "device_type": "physical"
                }
            )


            box.action.recording.rewind.disable()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/gbox/gbox-sdk-go\"\n)\n\nfunc main() {\n\tgboxSDK := gbox.NewGboxSDK(os.Getenv(\"GBOX_API_KEY\"))\n\n\tbox, err := gboxSDK.Create(context.Background(), gbox.CreateBoxRequest{\n\t\tType: \"android\",\n\t\tConfig: &gbox.BoxConfig{\n\t\t\tDeviceType: \"physical\",\n\t\t},\n\t})\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to create box: %v\", err)\n\t}\n\n\terr = box.Action.Recording.Rewind.Disable(context.Background())\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to disable rewind: %v\", err)\n\t}\n}"
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````